Skip to main content
The Truv Postman Collection lets you get started with your integration with little to no code. It includes pre-configured requests, environment variables, and sample workflows. Run in Postman

Set up Postman

1

Install Postman

Download and install Postman.
2

Fork the collection

Click the Run in Postman button above to fork the Truv API collection into your workspace. This imports both the collection and the Sandbox environment.

Configure Postman

The Truv Postman collection uses Postman environment variables to simplify each API request.
1

Select the Sandbox environment

In the top right corner of Postman, select the Sandbox environment.
2

Open environment settings

Click the eye icon to open the environment settings.
3

Add your API keys

Copy your Truv API keys from the Dashboard API Keys page into the environment variables:
  • client_id: your Client ID
  • access_key: your Access Secret
4

Save and start

Save your changes and start making API requests.

Sample workflow

Requests have pre-configured pre-request and post-response scripts that pass data between steps automatically.

VOIE verification

1

Create an Order

Run Create an Order - VOIE (Basic). In the response body, click the shareURL to complete the order in Truv Bridge.
2

Get the Order

Run Get an Order by ID. The orderId from step 1 is stored as a variable and passed through automatically.
3

Get the VOIE Report

Run Get a VOIE Report by ID. The user_id and voie_report_id variables from the prior response are stored and passed through automatically.